//Bibliotheken laden
#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>

//CE - digitaler Pin D6
//CSN - digitaler Pin D7
RF24 radio(6, 7);  // CE, CSN

//Adresse über welche die Kommunikation stattfinden soll
const byte address[6] = "00001";

void setup(){
  //beginn der seriellen Kommunikation mit 9600baud
  Serial.begin(9600);
  
  radio.begin();
  
  //setzen der Adresse
  radio.openWritingPipe(address);
  
  //das Modul soll als Sender agieren daher
  //keine "abhören"
  radio.stopListening();
}
void loop(){
  //Nachricht welche gesendet werden soll
  const char status[] = "ON";
  //senden der Nachricht
  radio.write(&status, sizeof(status));
  //Ausgabe auf der seriellen Schnittstelle das 
  //eine Nachricht gesendet wurde
  Serial.println("send");
  //eine Pause von 1sek.
  delay(1000);
}
